services:
  sniph-bank:
    container_name: sniph-bank
    image: ghcr.io/astral-sh/uv:debian
    environment:
      # This just means that Python's print statements will immediately show up on the console
      - PYTHONUNBUFFERED=1
    ports:
      # You can change the IP and first port number to change what the server listens on on the host.
      # So if you don't have permission to bind, you could change the first 80 to 8080 and 443 to 4443 
      - 127.0.0.1:80:80
      - 127.0.0.1:443:443
    sysctls:
      - net.ipv4.ip_unprivileged_port_start=0
    volumes:
      - ./:/sniph-bank:rw
    working_dir: /sniph-bank
    entrypoint: ["uv", "run", "main.py"]
